Package biotransformer.utils

## Class ChemStructureSimilarity

- java.lang.Object
- - biotransformer.utils.ChemStructureSimilarity

    public class ChemStructureSimilarity
    extends java.lang.Object

### Constructor Summary

Constructors
`ChemStructureSimilarity()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `calculateTanimoto​(org.openscience.cdk.interfaces.IAtomContainer molecule1, org.openscience.cdk.interfaces.IAtomContainer molecule2, java.util.LinkedHashMap<java.lang.String,​java.lang.String> queries)`
`static double` `calculateTanimotoWithCustomSmarts​(org.openscience.cdk.interfaces.IAtomContainer molecule1, org.openscience.cdk.interfaces.IAtomContainer molecule2, java.lang.String[] smarts)`
`static double` `calculateTanimotoWithCustomSmartsAndCounts​(org.openscience.cdk.interfaces.IAtomContainer molecule1, org.openscience.cdk.interfaces.IAtomContainer molecule2, java.lang.String[] smarts)`
`static double` `calculateTanimotoWithMACCS​(org.openscience.cdk.interfaces.IAtomContainer molecule1, org.openscience.cdk.interfaces.IAtomContainer molecule2)`
`static void` `generateCsv​(java.util.HashMap<java.lang.String,​java.lang.Double> tanimotoList, java.lang.String outputname)`
`static java.lang.String[]` `getSmarts()`
`static java.util.HashMap<java.lang.String,​java.lang.Double>` `tanimotoListCreator​(java.util.HashMap<java.lang.String,​org.openscience.cdk.interfaces.IAtomContainer> compounds, java.util.LinkedHashMap<java.lang.String,​java.lang.String> queries)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChemStructureSimilarity

    public ChemStructureSimilarity()

### Method Detail

#### calculateTanimotoWithCustomSmarts

    public static double calculateTanimotoWithCustomSmarts​(org.openscience.cdk.interfaces.IAtomContainer molecule1,
                                                           org.openscience.cdk.interfaces.IAtomContainer molecule2,
                                                           java.lang.String[] smarts)
                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### calculateTanimotoWithCustomSmartsAndCounts

    public static double calculateTanimotoWithCustomSmartsAndCounts​(org.openscience.cdk.interfaces.IAtomContainer molecule1,
                                                                    org.openscience.cdk.interfaces.IAtomContainer molecule2,
                                                                    java.lang.String[] smarts)
                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### calculateTanimoto

    public static double calculateTanimoto​(org.openscience.cdk.interfaces.IAtomContainer molecule1,
                                           org.openscience.cdk.interfaces.IAtomContainer molecule2,
                                           java.util.LinkedHashMap<java.lang.String,​java.lang.String> queries)
                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### calculateTanimotoWithMACCS

    public static double calculateTanimotoWithMACCS​(org.openscience.cdk.interfaces.IAtomContainer molecule1,
                                                    org.openscience.cdk.interfaces.IAtomContainer molecule2)
                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getSmarts

    public static java.lang.String[] getSmarts()
                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### tanimotoListCreator

    public static java.util.HashMap<java.lang.String,​java.lang.Double> tanimotoListCreator​(java.util.HashMap<java.lang.String,​org.openscience.cdk.interfaces.IAtomContainer> compounds,
                                                                                                 java.util.LinkedHashMap<java.lang.String,​java.lang.String> queries)
                                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### generateCsv

    public static void generateCsv​(java.util.HashMap<java.lang.String,​java.lang.Double> tanimotoList,
                                   java.lang.String outputname)